Greetings:

Let me preface this by saying that I am not  C programmer.

I am running on FreeBSD 6.1-RELEASE-p10, and my ports and source trees
are up to date.

While attempting to compile koffice-1.6.1 I ran into this error:

In file included from /usr/local/include/wv2/olestream.h:22,
                 from graphicshandler.cpp:23:

The offending code is in the file /usr/local/include/wv2/olestorage.h 
and reads:
#include <gsf/gsf.h>

I have libgsf-1.14.1 installed and it installs gsf.h at:
/usr/local/include/libgsf-1/gsf/gsf.h

I also have wv2-0.2.3 Installed
 
To fix this error, I edited the file /usr/local/include/wv2/olestorage.h
and changed:
 #include <gsf/gsf.h> 
to 
 #include </usr/local/include/libgsf-1/gsf/gsf.h>

This fixed the error.

There seems to be a discrepancy between WV2 and LIBGSF as to the proper
location of gsf.h
 
Either that, or my installation is not correct.
 
Can someone either tell me who to report this to, or go ahead and
report this to the proper maintainer? Perhaps the maintainer of koffice
should add a patch? 
 
What is strange, and bothers me is that koffice 1.6.1 has been released
for a while now, and nobody has run into this? Surely I am not the
first to build koffice from sources.
 
Best Regards
Bob


_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to